> ## Documentation Index
> Fetch the complete documentation index at: https://docs.desivocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get History

> Retrieves the history of TTS generations.



## OpenAPI

````yaml GET /history
openapi: 3.1.0
info:
  title: DesiVocal API Documentation
  description: This is the documentation for the DesiVocal API.
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /history:
    get:
      tags: []
      summary: History
      description: Retrieves the history of TTS generations.
      parameters:
        - name: X_API_KEY
          in: header
          description: ''
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      deprecated: false
      security: []

````